package bizerr

import (
	"hilo-group/myerr"
)

var (
	// 一般性错误
	TokenInvalid      = myerr.NewBusinessCode(1001, "token invalid", myerr.BusinessData{})
	ExternalIdNoExist = myerr.NewBusinessCode(1003, "externalId no exist", myerr.BusinessData{})
	CodeNoExist       = myerr.NewBusinessCode(1005, "code no exist", myerr.BusinessData{})
	ParaMissing       = myerr.NewBusinessCode(1006, "parameter missing", myerr.BusinessData{})
	InvalidParameter  = myerr.NewBusinessCode(1009, "Invalid parameter", myerr.BusinessData{})
	IncorrectState    = myerr.NewBusinessCode(1013, "Incorrect state", myerr.BusinessData{})
	TransactionFailed = myerr.NewBusinessCode(1014, "Transaction failed", myerr.BusinessData{})
	ReqTooFrequent    = myerr.NewBusinessCode(1018, "Requests are too frequent", myerr.BusinessData{})

	// 钻石
	DiamondNoEnough      = myerr.NewBusinessCode(4000, "Insufficient diamonds", myerr.BusinessData{})
	DiamondFrequency     = myerr.NewBusinessCode(4001, "Diamond operation frequency too high", myerr.BusinessData{})
	DiamondAccountFrozen = myerr.NewBusinessCode(4004, "Diamond Account Frozen", myerr.BusinessData{})

	// 礼物
	ResGiftNoUser           = myerr.NewBusinessCode(5001, "GiftDetail is gone", myerr.BusinessData{})   // 礼物已经下架
	ResHeadwearDiamondNoUse = myerr.NewBusinessCode(5003, "Headwear can not buy", myerr.BusinessData{}) //头饰不能买
	ResPropertyDiamondNoUse = myerr.NewBusinessCode(5004, "Property can not buy", myerr.BusinessData{}) //头饰不能买

	UserMedalThresholdLimit = myerr.NewBusinessCode(9006, "勋章条件未达到", myerr.BusinessData{})
	UserHeadwearHasEnd      = myerr.NewBusinessCode(9014, "用户头饰已经过期， 不能赠送", myerr.BusinessData{})
	UserPropertyHasEnd      = myerr.NewBusinessCode(9015, "用户座驾已经过期， 不能赠送", myerr.BusinessData{})

	// 麦位
	GroupMicNoPermission = myerr.NewBusinessCode(12000, "Mic has no permission to mic", myerr.BusinessData{}) // 麦位没有操作的权限
	GroupMicNoUser       = myerr.NewBusinessCode(12002, "No one on Mic", myerr.BusinessData{})                // 麦位上没有人
	GroupMicLock         = myerr.NewBusinessCode(12003, "Mic is locked", myerr.BusinessData{})                // 麦位加锁了
	GroupMicHasUser      = myerr.NewBusinessCode(12004, "Mic occupied", myerr.BusinessData{})                 // 麦位中已经有人了
	GroupMicUserHasIn    = myerr.NewBusinessCode(12006, "Already on Mic", myerr.BusinessData{})               // 你已经在别的麦位上了
	GroupMicNoYou        = myerr.NewBusinessCode(12007, "Not on Mic", myerr.BusinessData{})                   // 你不在该麦位上
	GroupInfoMicClosed   = myerr.NewBusinessCode(12009, "The Group does not open the mic positions", myerr.BusinessData{})

	// 群组
	GroupNotFound           = myerr.NewBusinessCode(14001, "Group not found", myerr.BusinessData{})            // 找不到该群
	NoPrivileges            = myerr.NewBusinessCode(14004, "Not enough permission", myerr.BusinessData{})      // 操作权限不够
	GroupIsBanned           = myerr.NewBusinessCode(14011, "group is banned by ", myerr.BusinessData{})        // 群已经被管理员封禁
	GroupCreateLimitReached = myerr.NewBusinessCode(14014, "Create group limit reached", myerr.BusinessData{}) // 你创建的群组数已达上限
	GroupCustomThemeLimit   = myerr.NewBusinessCode(14020, "Group Custom Theme Limit", myerr.BusinessData{})   //群主题定制数量只能是5个

	// 家族
	GroupPowerHasJoinOther = myerr.NewBusinessCode(15001, "You already have joined power, please exit first", myerr.BusinessData{}) // 已经加入了其它国家势力
	GroupPowerHasJoinMy    = myerr.NewBusinessCode(15002, "You already have joined power, please exit first", myerr.BusinessData{}) // 已经加入了该国家势力
	GroupPowerOwnerLeave   = myerr.NewBusinessCode(15003, "power owner cannot exit", myerr.BusinessData{})                          // 势力主不能退出
	GroupPowerNoOwner      = myerr.NewBusinessCode(15005, "power owner not exits or unique", myerr.BusinessData{})                  // 国家势力主不存在或不唯一
	GroupPowerStayTooShort = myerr.NewBusinessCode(15006, "You joined this power not more than 10 days ago", myerr.BusinessData{})  // 加入国家势力不超过10天

	//贵族
	NobleNoMicSpeechCloseLevel5 = myerr.NewBusinessCode(21001, "Can't mute the King", myerr.BusinessData{}) //无法禁言贵族5

	// 超级管理人
	OfficialStaffLimit = myerr.NewBusinessCode(22001, "Operation failed", myerr.BusinessData{})
)
